| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | List of all members
IParticlePropertySvc Class Referenceabstract

This class is an interface to the ParticlePropertySvc. More...

`#include <GaudiKernel/IParticlePropertySvc.h>`

Inheritance diagram for IParticlePropertySvc:
[legend]
Collaboration diagram for IParticlePropertySvc:
[legend]

## Public Types
typedef std::vector< ParticleProperty * > | VectPP
typedef VectPP::const_iterator | const_iterator
typedef VectPP::iterator | iterator
Public Types inherited from extend_interfaces< INamedInterface, IStateful >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...

## Public Member Functions
| DeclareInterfaceID (IParticlePropertySvc, 3, 0)
| InterfaceID. More...
virtual StatusCode | push_back (const std::string &particle, int geantId, int jetsetId, double charge, double mass, double tlife, const std::string &evtName, int pythiaId, double maxWidth)=0
| Create a new particle property. More...
virtual StatusCode | push_back (ParticleProperty *pp)=0
| Create a new particle property. More...
virtual const_iterator | begin () const =0
| Get a const reference to the begining of the container. More...
virtual const_iterator | end () const =0
| Get a const reference to the end of the container. More...
virtual int | size () const =0
| Get the container size. More...
virtual ParticleProperty * | find (int geantId)=0
| Retrieve an object by geant3 id. More...
virtual ParticleProperty * | findByStdHepID (int stdHepID)=0
| Retrieve an object by StdHep id. More...
virtual ParticleProperty * | find (const std::string &name)=0
| Retrieve an object by name. More...
virtual ParticleProperty * | findByPythiaID (int pythiaID)=0
| Retrieve an object by PythiaID. More...
virtual StatusCode | erase (int geantId)=0
| Erase a property by geant3 id. More...
virtual StatusCode | erase (const std::string &name)=0
| Erase a property by particle name. More...
virtual StatusCode | eraseByStdHepID (int stdHepID)=0
| Erase a property by StdHep id. More...
Public Member Functions inherited from IService
| DeclareInterfaceID (IService, 4, 0)
| InterfaceID. More...
virtual StatusCode | sysInitialize ()=0
| Initialize Service. More...
virtual StatusCode | sysStart ()=0
| Start Service. More...
virtual StatusCode | sysStop ()=0
| Stop Service. More...
virtual StatusCode | sysFinalize ()=0
| Finalize Service. More...
virtual StatusCode | sysReinitialize ()=0
| Re-initialize the Service. More...
virtual StatusCode | sysRestart ()=0
| Re-start the Service. More...

## Additional Inherited Members
Protected Member Functions inherited from IService
virtual void | setServiceManager (ISvcManager *)=0

## Detailed Description

This class is an interface to the ParticlePropertySvc.

Author
  Iain Last
  G.Corti

Definition at line 18 of file IParticlePropertySvc.h.

## Member Typedef Documentation

## ◆ const_iterator

typedef VectPP::const_iterator IParticlePropertySvc::const_iterator

Definition at line 26 of file IParticlePropertySvc.h.

## ◆ iterator

typedef VectPP::iterator IParticlePropertySvc::iterator

Definition at line 27 of file IParticlePropertySvc.h.

## ◆ VectPP

typedef std::vector<ParticleProperty*> IParticlePropertySvc::VectPP

Definition at line 25 of file IParticlePropertySvc.h.

## Member Function Documentation

## ◆ begin()

virtual const_iterator IParticlePropertySvc::begin | ( |  | ) | const
| pure virtual

Get a const reference to the begining of the container.

## ◆ DeclareInterfaceID()

IParticlePropertySvc::DeclareInterfaceID | ( | IParticlePropertySvc | ,
|  | 3 | ,
|  | 0 |
| ) |  |

InterfaceID.

## ◆ end()

virtual const_iterator IParticlePropertySvc::end | ( |  | ) | const
| pure virtual

Get a const reference to the end of the container.

## ◆ erase() [1/2]

virtual StatusCode IParticlePropertySvc::erase | ( | int | geantId | ) |
| pure virtual

Erase a property by geant3 id.

## ◆ erase() [2/2]

virtual StatusCode IParticlePropertySvc::erase | ( | const std::string & | name | ) |
| pure virtual

Erase a property by particle name.

## ◆ eraseByStdHepID()

virtual StatusCode IParticlePropertySvc::eraseByStdHepID | ( | int | stdHepID | ) |
| pure virtual

Erase a property by StdHep id.

## ◆ find() [1/2]

virtual ParticleProperty* IParticlePropertySvc::find | ( | int | geantId | ) |
| pure virtual

Retrieve an object by geant3 id.

## ◆ find() [2/2]

virtual ParticleProperty* IParticlePropertySvc::find | ( | const std::string & | name | ) |
| pure virtual

Retrieve an object by name.

## ◆ findByPythiaID()

virtual ParticleProperty* IParticlePropertySvc::findByPythiaID | ( | int | pythiaID | ) |
| pure virtual

Retrieve an object by PythiaID.

## ◆ findByStdHepID()

virtual ParticleProperty* IParticlePropertySvc::findByStdHepID | ( | int | stdHepID | ) |
| pure virtual

Retrieve an object by StdHep id.

## ◆ push_back() [1/2]

virtual StatusCode IParticlePropertySvc::push_back | ( | const std::string & | particle,
|  | int | geantId,
|  | int | jetsetId,
|  | double | charge,
|  | double | mass,
|  | double | tlife,
|  | const std::string & | evtName,
|  | int | pythiaId,
|  | double | maxWidth
| ) |  |
| pure virtual

Create a new particle property.

Parameters

  particle | String name of the particle
  geantId | Geant3 ID of the particle
  jetsetId | Jetset ID of the particle
  charge | Particle charge (/e)
  mass | Particle mass (MeV)
  tlife | Particle lifetime (s)
  evtName | String name of the particle in EvtGen
  pythiaId | ID of particle in Pythia

Returns
  StatusCode - SUCCESS if the particle property was added

## ◆ push_back() [2/2]

virtual StatusCode IParticlePropertySvc::push_back | ( | ParticleProperty * | pp | ) |
| pure virtual

Create a new particle property.

Parameters

  pp | a particle property class

Returns
  StatusCode - SUCCESS if the particle property was added

## ◆ size()

virtual int IParticlePropertySvc::size | ( |  | ) | const
| pure virtual

Get the container size.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IParticlePropertySvc.h